[android-components](../../index.md) / [mozilla.components.browser.thumbnails](../index.md) / [ThumbnailsUseCases](./index.md)

# ThumbnailsUseCases

`class ThumbnailsUseCases` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/thumbnails/src/main/java/mozilla/components/browser/thumbnails/ThumbnailsUseCases.kt#L16)

Contains use cases related to the thumbnails feature.

### Types

| Name | Summary |
|---|---|
| [LoadThumbnailUseCase](-load-thumbnail-use-case/index.md) | `class LoadThumbnailUseCase`<br>Load thumbnail use case. |

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `ThumbnailsUseCases(store: `[`BrowserStore`](../../mozilla.components.browser.state.store/-browser-store/index.md)`, thumbnailStorage: `[`ThumbnailStorage`](../../mozilla.components.browser.thumbnails.storage/-thumbnail-storage/index.md)`)`<br>Contains use cases related to the thumbnails feature. |

### Properties

| Name | Summary |
|---|---|
| [loadThumbnail](load-thumbnail.md) | `val loadThumbnail: `[`LoadThumbnailUseCase`](-load-thumbnail-use-case/index.md) |

### Extension Functions

| Name | Summary |
|---|---|
| [loadResourceAsString](../../mozilla.components.support.test.file/kotlin.-any/load-resource-as-string.md) | `fun `[`Any`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)`.loadResourceAsString(path: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Loads a file from the resources folder and returns its content as a string object. |
